SIMULATION
  SIMULATION_TYPE SUBSURFACE
  PROCESS_MODELS
    SUBSURFACE_FLOW flow
      MODE HYDRATE
      OPTIONS
        NO_STATE_TRANSITION_OUTPUT
        WINDOW_EPSILON 1.d-1
      /
    /
    WELL_MODEL well1
      OPTIONS
        FLOW_COUPLING FULLY_IMPLICIT
        TYPE HYDROSTATIC
      END
    END
  /
END

SUBSURFACE

HYDRATE
  GT_3PHASE
  WITH_GIBBS_THOMSON
  THERMAL_CONDUCTIVITY IGHCC2
  ADJUST_SOLUBILITY_WITHIN_GHSZ
  GAS CO2
END

NUMERICAL_METHODS flow

  NEWTON_SOLVER
    USE_INFINITY_NORM_CONVERGENCE
    NUMERICAL_JACOBIAN
    MINIMUM_NEWTON_ITERATIONS 2
    NO_GOVERNORS
    CHECK_SOLUTION_UPDATES
  END

  LINEAR_SOLVER
    SOLVER DIRECT
  END

  TIMESTEPPER FLOW
    TIMESTEP_MAXIMUM_GROWTH_FACTOR 1.25
  END

END

WELLBORE_MODEL well1
  WELL_GRID
    NUMBER_OF_SEGMENTS 79
    WELL_TRAJECTORY
      SURFACE_ORIGIN 0.d0 0.d0 600.d0
      SEGMENT_DXYZ CASED 0.d0 0.d0 -100.1d0
      SEGMENT_DXYZ UNCASED 0.d0 0.d0 -200.d0
    /
  /

  WELL
    DIAMETER 0.3d0
    FRICTION_COEFFICIENT 1.d0
    WELL_INDEX_MODEL PEACEMAN_3D
    SKIN_FACTOR 0.d0
  /

  USE_WELL_COUPLER

END

WELL_MODEL_OUTPUT
  WELL_LIQ_PRESSURE
  WELL_GAS_PRESSURE
  WELL_LIQ_Q
  WELL_GAS_Q
/


#=========================== discretization ===================================
GRID
  TYPE STRUCTURED CYLINDRICAL
  NXYZ 40 1 55
  DXYZ
    7.389056099\
8.166169913\
9.025013499\
9.974182455\
11.02317638\
12.18249396\
13.46373804\
14.87973172\
16.44464677\
18.17414537\
20.08553692\
22.19795128\
24.5325302\
27.11263892\
29.96410005\
33.11545196\
36.59823444\
40.44730436\
44.70118449\
49.40244911\
54.59815003\
60.3402876\
66.68633104\
73.6997937\
81.45086866\
90.0171313\
99.48431564\
109.9471725\
121.5104175\
134.2897797\
148.4131591\
164.0219073\
181.272241\9
200.33681\
221.4064162\
244.6919323\
270.4264074\
298.867401\
330.2995599\
364.3601819

1@1.d0

10@20.d0 \
5@17.6d0 \
4@5.d0 \
2@5.d0 \
6.d0 \
4.d0 \
2.d0 \
3.d0 \
5.d0 \
8.d0 \
4.d0 \
19.d0 \
9.d0 \
12.d0 \
12.d0 \
10.d0 \
7.d0 \
7.d0 \
6.d0 \
6.d0 \
7.d0 \
6.d0 \
8.d0 \
6.d0 \
4.d0 \
2.d0 \
8.d0 \
4.d0 \
3.d0 \
1.d0 \
4.d0 \
3.d0 \
3.d0 \
3.d0 \
4@25.d0
  /
END

#=========================== fluid properties =================================
FLUID_PROPERTY
  PHASE LIQUID
  DIFFUSION_COEFFICIENT 2.d-9
END

FLUID_PROPERTY
  PHASE GAS
  DIFFUSION_COEFFICIENT 2.d-5
END

#=========================== more fluid properties ============================
EOS WATER
  DENSITY IF97
  ENTHALPY IF97
  STEAM_DENSITY IF97
  STEAM_ENTHALPY IF97
  SATURATION_PRESSURE IF97
END

EOS GAS
  CO2_DATABASE co2_sw.dat
  HENRYS_CONSTANT DEFAULT
END

#=========================== material properties ==============================
MATERIAL_PROPERTY caprock
  ID 1
  CHARACTERISTIC_CURVES caprock
  POROSITY 0.1
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.d-16
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY mud
  ID 100
  CHARACTERISTIC_CURVES caprock
  POROSITY 0.1
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.d-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir24
  ID 2
  CHARACTERISTIC_CURVES Reservoir24
  POROSITY 0.23
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.9146312e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir23
  ID 3
  CHARACTERISTIC_CURVES Reservoir23
  POROSITY 0.33
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 4.7271158e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir22
  ID 4
  CHARACTERISTIC_CURVES Reservoir22
  POROSITY 0.22
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.7468542e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir21
  ID 5
  CHARACTERISTIC_CURVES Reservoir21
  POROSITY 0.35
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 4.658278e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir20
  ID 6
  CHARACTERISTIC_CURVES Reservoir20
  POROSITY 0.25
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 7.0268939e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir19
  ID 7
  CHARACTERISTIC_CURVES Reservoir19
  POROSITY 0.21
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 5.5297311e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir18
  ID 8
  CHARACTERISTIC_CURVES Reservoir18
  POROSITY 0.31
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.7140391e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir17
  ID 9
  CHARACTERISTIC_CURVES Reservoir17
  POROSITY 0.26
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 7.1650632e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir16
  ID 10
  CHARACTERISTIC_CURVES Reservoir16
  POROSITY 0.34
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 3.7503085e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir15
  ID 11
  CHARACTERISTIC_CURVES Reservoir15
  POROSITY 0.35
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 5.0234396e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir14
  ID 12
  CHARACTERISTIC_CURVES Reservoir14
  POROSITY 0.21
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.3224772e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir13
  ID 13
  CHARACTERISTIC_CURVES Reservoir13
  POROSITY 0.35
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 5.2603012e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir12
  ID 14
  CHARACTERISTIC_CURVES Reservoir12
  POROSITY 0.29
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.569208e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir11
  ID 15
  CHARACTERISTIC_CURVES Reservoir11
  POROSITY 0.23
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.0725389e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir10
  ID 16
  CHARACTERISTIC_CURVES Reservoir10
  POROSITY 0.22
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.3718234e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir9
  ID 17
  CHARACTERISTIC_CURVES Reservoir9
  POROSITY 0.22
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 1.3718234e-13
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir8
  ID 18
  CHARACTERISTIC_CURVES Reservoir8
  POROSITY 0.23
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.0725389e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir7
  ID 19
  CHARACTERISTIC_CURVES Reservoir7
  POROSITY 0.21
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 6.4248707e-14
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir6
  ID 20
  CHARACTERISTIC_CURVES Reservoir6
  POROSITY 0.19
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.2304467e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir5
  ID 21
  CHARACTERISTIC_CURVES Reservoir5
  POROSITY 0.32
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 4.7764619e-14
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir4
  ID 22
  CHARACTERISTIC_CURVES Reservoir4
  POROSITY 0.22
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 4.6878857e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir3
  ID 23
  CHARACTERISTIC_CURVES Reservoir3
  POROSITY 0.21
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.2336541e-14
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir2
  ID 24
  CHARACTERISTIC_CURVES Reservoir2
  POROSITY 0.22
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.8324699e-18
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

MATERIAL_PROPERTY Reservoir1
  ID 25
  CHARACTERISTIC_CURVES Reservoir1
  POROSITY 0.31
  TORTUOSITY 1.d0
  ROCK_DENSITY 2650.d0
  THERMAL_CONDUCTIVITY_DRY 2.d0 #W/m-C
  THERMAL_CONDUCTIVITY_WET 2.18d0 #W/m-C
  HEAT_CAPACITY 1000 J/kg-C
  PERMEABILITY
    PERM_ISO 2.8324699e-14
  /
  SOIL_COMPRESSIBILITY_FUNCTION DEFAULT
  SOIL_COMPRESSIBILITY 1.d-8
  SOIL_REFERENCE_PRESSURE 1.d7
END

#=========================== characteristic curves ============================

CHARACTERISTIC_CURVES sand
  SATURATION_FUNCTION VAN_GENUCHTEN
    LOOP_INVARIANT
    ALPHA 8.d-5
    M 0.45
    LIQUID_RESIDUAL_SATURATION 0.12d0
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION MUALEM_VG_LIQ
    PHASE LIQUID
    M 0.457
    LIQUID_RESIDUAL_SATURATION 0.3
  /
  PERMEABILITY_FUNCTION MODIFIED_COREY_GAS
    PHASE GAS
    LIQUID_RESIDUAL_SATURATION 0.3
    GAS_RESIDUAL_SATURATION 0.05
  /
END

CHARACTERISTIC_CURVES clay
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 5.16712d-6
    LAMBDA 1.5d0
    LIQUID_RESIDUAL_SATURATION 0.32
    MAX_CAPILLARY_PRESSURE 3.d8
  /
  PERMEABILITY_FUNCTION MODIFIED_BROOKS_COREY
    PHASE LIQUID
    KR_MAX 1.d0
    N 1.5d0
    LIQUID_RESIDUAL_SATURATION 0.32
    GAS_RESIDUAL_SATURATION 0.1
  /
  PERMEABILITY_FUNCTION MODIFIED_BROOKS_COREY_GAS
    PHASE GAS
    KR_MAX 1.d0
    N 1.5d0
    LIQUID_RESIDUAL_SATURATION 0.32
    GAS_RESIDUAL_SATURATION 0.1
  /
END

CHARACTERISTIC_CURVES caprock
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00001020408
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir24
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00008503401
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir23
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00020408163
    LAMBDA 0.6215
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.6215
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.6215
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir22
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00002834467
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir21
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.0000510204
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir20
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00002040816
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir19
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00007849293
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir18
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00001478852
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir17
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.000060024
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir16
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00001645819
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir15
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00005370569
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir14
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00003291639
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir13
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00005370569
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir12
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00008503401
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir11
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00025510204
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir10
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00007849293
    LAMBDA 1.6663
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 1.6663
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 1.6663
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir9
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00007849293
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir8
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00009276437
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir7
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.000060024
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir6
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00003924646
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir5
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00001569858
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir4
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00000953652
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir3
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00007288629
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir2
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00004436557
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END

CHARACTERISTIC_CURVES Reservoir1
  SATURATION_FUNCTION BROOKS_COREY
    ALPHA 0.00004436557
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    MAX_CAPILLARY_PRESSURE 1.d10
  /
  PERMEABILITY_FUNCTION BURDINE_BC_LIQ
    PHASE LIQUID
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
  /
  PERMEABILITY_FUNCTION BURDINE_BC_GAS
    PHASE GAS
    LAMBDA 0.8311
    LIQUID_RESIDUAL_SATURATION 0.0597
    GAS_RESIDUAL_SATURATION 0.0597
  /
END


#=========================== output options ===================================
OUTPUT
  SNAPSHOT_FILE
    TIMES y 1.d-2 1.d-1 1.d0
    PERIODIC TIME 1.d0 y between 0.d0 y and 1.d2 y
    PERIODIC TIME 1.d1 y between 1.d2 y and 1.d3 y
    PERIODIC TIME 1.d2 y between 1.d3 y and 1.d4 y
    FORMAT HDF5
  /
  UNFILTER_NON_STATE_VARIABLES

  VARIABLES
   TEMPERATURE
   LIQUID_PRESSURE
   GAS_PRESSURE
   LIQUID_SATURATION
   GAS_SATURATION
   HYDRATE_SATURATION
   ICE_SATURATION
   PRECIPITATE_SATURATION
   LIQUID_MASS_FRACTIONS
   LIQUID_MOLE_FRACTIONS
   GAS_MASS_FRACTIONS
   LIQUID_DENSITY
   GAS_DENSITY
   PERMEABILITY
   LIQUID_RELATIVE_PERMEABILITY
   GAS_RELATIVE_PERMEABILITY
   POROSITY
   VOLUME
  /
END

#=========================== times ============================================
TIME
  FINAL_TIME 1.d4 y
  INITIAL_TIMESTEP_SIZE 1.d-8 y
  MAXIMUM_TIMESTEP_SIZE 1.d1 y #1.d0 d #4.d-6 d
  MAXIMUM_TIMESTEP_SIZE 1.d2 y at 1.d3 y 
END


#=========================== regions ==========================================
REGION all
  COORDINATES
    0.d0    0.d0 0.d0
    3765.d0 1.d0 600.d0
  /
END

REGION top
  FACE TOP
  COORDINATES
    0.d0 0.d0  600.d0
    3765.d0 1.d0 600.d0
  /
END

REGION bottom
  FACE BOTTOM
  COORDINATES
    0.d0 0.d0 0.d0
    3765.d0 1.d0 0.d0
  /
END

REGION edge
  FACE EAST
  COORDINATES
    3765.d0 0.d0  0.d0
    3765.d0 1.d0  600.d0
  /
END

REGION caprock
  BLOCK 1 40 1 1 51 55
END

REGION Reservoir31
  BLOCK 1 40 1 1 50 50
END

REGION Reservoir30
  BLOCK 1 40 1 1 49 49
END

REGION Reservoir29
  BLOCK 1 40 1 1 48 48
END

REGION Reservoir28
  BLOCK 1 40 1 1 47 47
END

REGION Reservoir27
  BLOCK 1 40 1 1 46 46
END

REGION Reservoir26
  BLOCK 1 40 1 1 45 45
END

REGION Reservoir25
  BLOCK 1 40 1 1 44 44
END

REGION Reservoir24
  BLOCK 1 40 1 1 43 43
END

REGION Reservoir23
  BLOCK 1 40 1 1 42 42
END

REGION Reservoir22
  BLOCK 1 40 1 1 41 41
END

REGION Reservoir21
  BLOCK 1 40 1 1 40 40
END

REGION Reservoir20
  BLOCK 1 40 1 1 39 39
END

REGION Reservoir19
  BLOCK 1 40 1 1 38 38
END

REGION Reservoir18
  BLOCK 1 40 1 1 37 37
END

REGION Reservoir17
  BLOCK 1 40 1 1 36 36
END

REGION Reservoir16
  BLOCK 1 40 1 1 35 35
END

REGION Reservoir15
  BLOCK 1 40 1 1 34 34
END

REGION Reservoir14
  BLOCK 1 40 1 1 33 33
END

REGION Reservoir13
  BLOCK 1 40 1 1 32 32
END

REGION Reservoir12
  BLOCK 1 40 1 1 31 31
END

REGION Reservoir11
  BLOCK 1 40 1 1 30 30
END

REGION Reservoir10
  BLOCK 1 40 1 1 29 29
END

REGION Reservoir9
  BLOCK 1 40 1 1 28 28
END

REGION Reservoir8
  BLOCK 1 40 1 1 27 27
END

REGION Reservoir7
  BLOCK 1 40 1 1 26 26
END

REGION Reservoir6
  BLOCK 1 40 1 1 25 25
END

REGION Reservoir5
  BLOCK 1 40 1 1 24 24
END

REGION Reservoir4
  BLOCK 1 40 1 1 23 23
END

REGION Reservoir3
  BLOCK 1 40 1 1 22 22
END

REGION Reservoir2
  BLOCK 1 40 1 1 21 21
END

REGION Reservoir1
  BLOCK 1 40 1 1 20 20
END

REGION Reservoir0
  BLOCK 1 40 1 1 17 18
END

REGION caprock_lower1
  BLOCK 1 40 1 1 19 19
END

REGION caprock_lower2
  BLOCK 1 40 1 1 16 16
END

#=========================== flow conditions ==================================

FLOW_CONDITION initial
  TYPE
    LIQUID_PRESSURE HYDROSTATIC
    MASS_FRACTION DIRICHLET
    SALT_MASS_FRACTION DIRICHLET
    TEMPERATURE DIRICHLET
  /
  DATUM 0.d0 0.d0 600.d0
  GRADIENT
    TEMPERATURE 0.d0 0.d0 -2.d-2
  /
  LIQUID_PRESSURE 1.d7
  MASS_FRACTION 0.d0 #1.d-6
  SALT_MASS_FRACTION 3.5d-2
  TEMPERATURE 5.d0
END

FLOW_CONDITION bottom
  TYPE
    LIQUID_FLUX NEUMANN
    GAS_FLUX NEUMANN
    ENERGY_FLUX NEUMANN
    SALT_MASS_FRACTION DIRICHLET
  /
  LIQUID_FLUX 0.d0
  GAS_FLUX 0.d0
  ENERGY_FLUX 5.d-2 W/m^2
  SALT_MASS_FRACTION 0.035d0
END

FLOW_CONDITION injection
  SYNC_TIMESTEP_WITH_UPDATE
  TYPE
    RATE MASS_RATE
    TEMPERATURE DIRICHLET
  /
  TEMPERATURE 4.5d1
  # 1 MMT/yr for 50 years
  RATE LIST
    TIME_UNITS y
    DATA_UNITS kg/y kg/y kg/y MW
    0.d0 0.d0 1.d9 0.d0 0.d0
    5.d1 0.d0 0.d0 0.d0 0.d0
  /
END

#=========================== condition couplers ===============================
# initial condition
INITIAL_CONDITION all
  FLOW_CONDITION initial
  REGION all
END

WELL_COUPLER injection
  FLOW_CONDITION injection
  WELL well1
END

BOUNDARY_CONDITION top
  FLOW_CONDITION initial
  REGION top
END

BOUNDARY_CONDITION bottom
  FLOW_CONDITION initial #bottom
  REGION bottom
END

BOUNDARY_CONDITION edge
  FLOW_CONDITION initial
  REGION edge
END

#=========================== stratigraphy couplers ============================
STRATA
  REGION all
  MATERIAL mud
END

STRATA
  REGION caprock
  MATERIAL caprock
END

STRATA
  REGION Reservoir31
  MATERIAL Reservoir24
END

STRATA
  REGION Reservoir30
  MATERIAL Reservoir23
END

STRATA
  REGION Reservoir29
  MATERIAL Reservoir24
END
    
STRATA
  REGION Reservoir28
  MATERIAL Reservoir23 
END

STRATA
  REGION Reservoir27
  MATERIAL Reservoir24
END
    
STRATA
  REGION Reservoir26
  MATERIAL Reservoir23 
END

STRATA
  REGION Reservoir25
  MATERIAL Reservoir24
END

STRATA
  REGION Reservoir24
  MATERIAL Reservoir24
END

STRATA
  REGION Reservoir23
  MATERIAL Reservoir23
END

STRATA
  REGION Reservoir22
  MATERIAL Reservoir22
END

STRATA
  REGION Reservoir21
  MATERIAL Reservoir21
END

STRATA
  REGION Reservoir20
  MATERIAL Reservoir20
END

STRATA
  REGION Reservoir19
  MATERIAL Reservoir19
END

STRATA
  REGION Reservoir18
  MATERIAL Reservoir18
END

STRATA
  REGION Reservoir17
  MATERIAL Reservoir17
END

STRATA
  REGION Reservoir16
  MATERIAL Reservoir16
END

STRATA
  REGION Reservoir15
  MATERIAL Reservoir15
END

STRATA
  REGION Reservoir14
  MATERIAL Reservoir14
END

STRATA
  REGION Reservoir13
  MATERIAL Reservoir13
END

STRATA
  REGION Reservoir12
  MATERIAL Reservoir12
END

STRATA
  REGION Reservoir11
  MATERIAL Reservoir11
END

STRATA
  REGION Reservoir10
  MATERIAL Reservoir10
END

STRATA
  REGION Reservoir9
  MATERIAL Reservoir9
END

STRATA
  REGION Reservoir8
  MATERIAL Reservoir8
END

STRATA
  REGION Reservoir7
  MATERIAL Reservoir7
END

STRATA
  REGION Reservoir6
  MATERIAL Reservoir6
END

STRATA
  REGION Reservoir5
  MATERIAL Reservoir5
END

STRATA
  REGION Reservoir4
  MATERIAL Reservoir4
END

STRATA
  REGION Reservoir3
  MATERIAL Reservoir3
END

STRATA
  REGION Reservoir2
  MATERIAL Reservoir2
END

STRATA
  REGION Reservoir1
  MATERIAL caprock #Reservoir1
END

STRATA
  REGION caprock_lower1
  MATERIAL caprock #Reservoir1
END

STRATA
  REGION caprock_lower2
  MATERIAL caprock #Reservoir1
END

STRATA
  REGION Reservoir0
  MATERIAL Reservoir2 #Reservoir1
END

#=========================== convergence criteria  ============================
END_SUBSURFACE
